<?php
/**
 * @author Clark Tomlinson  <clark@owncloud.com>
 * @since 1/22/15, 10:45 AM
 * @copyright 2015 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 */

$application = new \OCA\Firewall\AppInfo\Application();
$config = \OC::$server->getConfig();
$installedVersion = $config->getAppValue('firewall', 'installed_version');
$migrator = new OCA\Firewall\Migrator\RuleMigrator();

if (version_compare($installedVersion, '2.0', '<')) {
  $firewallConfig = $application->getContainer()->query('FirewallConfig');

  // Fetch legacy firewall rules
  $legacyRules = $config->getSystemValue('rules');

  // Migrate rules and move them to firewall configuration file
  $firewallConfig->setRules($migrator->migrateRules($legacyRules));

  // Finally remove legacy rules from config.php
  // Todo: not sure if we should do this in case the migration goes awry...
//	$config->deleteSystemValue('rules');
}
