<?php
/**
 * @author Clark Tomlinson  <clark@owncloud.com>
 * @since 11/25/14, 12:21 PM
 * @copyright 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/
 */

namespace OCA\Firewall\Events\Event;


use OCA\Firewall\Firewall;
use OCA\Firewall\Rules;
use Symfony\Component\EventDispatcher\Event;

class RuleEvent extends Event {

	/**
	 * @var Rules
	 */
	private $rules;

	/**
	 * @param Firewall $firewall
	 */
	public function __construct($firewall) {

		$this->rules = $firewall->rules;
		$this->l = new \OC_L10N('firewall');

	}

	public function getOffender() {
		return $this->rules->getOffender();
	}

	public function getRuleOutcomes() {
		return $this->rules->getStack();
	}

	public function getL10n() {
		return $this->l;
	}
}