<?php
/**
 * @author Clark Tomlinson  <clark@owncloud.com>
 * @since 11/25/14, 2:48 PM
 * @copyright 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/
 */

namespace OCA\Firewall\Events\Listeners;


use OCA\Firewall\Events\Contracts\EventListener;
use OCP\Template;
use Symfony\Component\EventDispatcher\Event;

class FailureListener implements EventListener {


	/**
	 * Unused but could be used to preform actions on rules passing
	 *
	 * @param Event $event
	 */
	public function onPass(Event $event) {
		// TODO: Implement onPass() method.
	}

	/**
	 * Stop all requests and alert the user they're not allowed to perform this
	 * action
	 *
	 * @param Event $event
	 */
	public function onFail(Event $event) {
		// send forbidden and exit
		header('HTTP/1.0 403 Forbidden');

		$template = new Template('firewall', 'failure', 'guest');

		$template->assign('l10n', $event->getL10n());
		// todo: xxx replace this as soon as its available ANY where else.
		$template->assign('logoutUrl', \OC_User::getLogoutAttribute());
		$template->printPage();
		exit;

	}
}
