<?php

namespace OCA\Firewall\Rules;

use OCA\Firewall\Rules\Contracts\Rule;

/**
 * Class LoggedIn
 *
 * @package OCA\Firewall\Rules
 *
 * Sample rule - Request must be by a user that is logged in:
 *
 * {
 *   "type": "condition",
 *   "check": "loggedin"
 * }
 *
 */
class LoggedIn extends Rule {

	/**
	 * @param object $rule
	 * @return bool
	 */
	public function doCheck($rule) {
		return \OC::$server->getUserSession()->isLoggedIn();
	}
}