<?php
/**
 * @author Clark Tomlinson  <clark@owncloud.com>
 * @since 11/7/14, 9:34 AM
 * @copyright 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/
 */

namespace OCA\Firewall\Rules;


use OCA\Firewall\Rules\Contracts\Rule;

class RequestUrl extends Rule {

	/**
	 * Return whether the request passes the check or not
	 *
	 * @param object $rule rule object
	 * @return boolean True if the check passes, false if the check fails
	 */
	public function doCheck($rule) {
		$domain = isset($_SERVER['SERVER_NAME']) ? $_SERVER['SERVER_NAME'] : '';
		return $this->assert($rule, strtolower($domain . $this->criteria['request']));
	}
}