<?php

namespace OCA\Firewall\Rules;


/**
 * Class Subnet
 *
 * @package OCA\Firewall\Rules
 *
 * Sample rule - Request must come from the server's local (within 192.168.1.X) subnet:
 *
 * {
 *   "type": "condition",
 *   "check": "subnet",
 *   "bits": 24
 * }
 *
 */
class Subnet extends CIDR {

	/**
	 * @param object $rule
	 * @return bool
	 */
	public function doCheck($rule) {

		return $this->cidrMatch($rule->value, isset($_SERVER['SERVER_ADDR']) ? $_SERVER['SERVER_ADDR'] : '');
	}
}