<?php

namespace OCA\Firewall\Rules;

use OCA\Firewall\Rules\Contracts\Rule;

/**
 * Class UserGroup
 *
 * @package OCA\Firewall\Rules
 *
 * Sample rule - Request must be by a user in the admin group:
 *
 * {
 *   "type": "condition",
 *   "check": "usergroup",
 *   "group": "admin"
 * }
 *
 */
class UserGroup extends Rule {

	public function doCheck($rule) {

		// change the operator since groups are stored in an array
		if ($rule->operator === 'equal' || $rule->operator === '=') {
			$rule->operator = 'in';
		} else {
			$rule->operator = 'not_in';
		}

		return $this->assert($rule, $this->criteria['groups']);
	}
}