<?php
/**
 * @author Clark Tomlinson  <clark@owncloud.com>
 * @since 2/2/15, 2:48 PM
 * @copyright 2015 ownCloud, Inc.
 *
 * This file is licensed under the Affero General Public License version 3 or later.
 * See the COPYING-README file.
 */

namespace OCA\Firewall\Tests\Rules;


use OCA\Firewall\Rules\CIDR;
use OCA\Firewall\Tests\Helpers\RuleTester;

class CidrTest extends RuleTester {
	public function setUp() {
		parent::scaffold();

		// Setup data
		$criteria = ['remote-addr' => '8.8.8.8'];

		$this->rule = new CIDR($this->ruler, $criteria);
	}

	public function testDoCheck() {
		$this->ruleMock->value = '8.8.8.0/24';

		$this->assertTrue($this->rule->doCheck($this->ruleMock));
	}

	public function testCidrMatch() {
		$range = '8.8.8.0/24';
		
		$validIP = '8.8.8.245';
		$invalidIP = '8.8.7.24';
		$this->assertTrue(\Test_Helper::invokePrivate($this->rule, 'cidrMatch', [$range, $validIP]));
		$this->assertFalse(\Test_Helper::invokePrivate($this->rule, 'cidrMatch', [$range, $invalidIP]));
	}


}
