<?php
/**
 * @author Clark Tomlinson  <clark@owncloud.com>
 * @since 2/2/15, 2:48 PM
 * @copyright 2015 ownCloud, Inc.
 *
 * This file is licensed under the Affero General Public License version 3 or later.
 * See the COPYING-README file.
 */

namespace OCA\Firewall\Tests\Rules;


use OCA\Firewall\Rules\Regex;
use OCA\Firewall\Tests\Helpers\RuleTester;

class RegexTest extends RuleTester {

	public function setUp() {
		parent::scaffold();
		// Setup data
		$critera = [
			'remote-addr' => '',
			'request' => '',
			'request-uri' => 'index.php/apps/files',
			'time' => '',
			'app' => '',
			'server-time' => '',
			'user-agent' => '',
			'agent' => '',
			'groups' => ['admin', 'test', 'test', 'foo', 'bar', 'baz'],
			'user-time' => '',
			'typeup' => ''
		];

		// Scaffold and create mocks
		$this->rule = new Regex($this->ruler, $critera);
	}

	public function testDoCheck() {

		$this->ruleMock->value = 'request-uri||files';

		$this->assertTrue($this->rule->doCheck($this->ruleMock));
	}

	public function testDoCheckWithCommaDelimiteredString() {

		$this->ruleMock->value = 'userGroup||admin';

		$this->assertTrue($this->rule->doCheck($this->ruleMock));
	}


}
