<?php
/**
 * @author Clark Tomlinson  <clark@owncloud.com>
 * @since 2/2/15, 2:48 PM
 * @copyright 2015 ownCloud, Inc.
 *
 * This file is licensed under the Affero General Public License version 3 or later.
 * See the COPYING-README file.
 */

namespace OCA\Firewall\Tests\Rules;


use OCA\Firewall\Rules\Request;
use OCA\Firewall\Tests\Helpers\RuleTester;

class RequestTest extends RuleTester {
	public function setUp() {
		parent::scaffold();

		// Setup data
		$criteria = ['method' => 'post', 'request' => '/public.php/apps/files/upload.php'];

		$this->rule = new Request($this->ruler, $criteria);
	}

	public function testDoCheck() {
		$this->ruleMock->value = 'post';

		$this->assertTrue($this->rule->doCheck($this->ruleMock));
	}

	public function testDoCheckUploadRequest() {
		$this->ruleMock->value = 'upload';

		$this->assertFalse($this->rule->doCheck($this->ruleMock));
	}

	public function testDoCheckPublicRequest() {
		$this->ruleMock->value = 'public';

		$this->assertTrue($this->rule->doCheck($this->ruleMock));
	}

	public function testUriSearcher() {
		$this->assertFalse(\Test_Helper::invokePrivate($this->rule, 'uriSearcher', ['upload.php']));
	}
}
