<?php
/**
 * @author Clark Tomlinson  <clark@owncloud.com>
 * @since 2/2/15, 2:48 PM
 * @copyright 2015 ownCloud, Inc.
 *
 * This file is licensed under the Affero General Public License version 3 or later.
 * See the COPYING-README file.
 */

namespace OCA\Firewall\Tests\Rules;


use OCA\Firewall\Rules\RequestUrl;
use OCA\Firewall\Tests\Helpers\RuleTester;

class RequestUrlTest extends RuleTester {
	public function setUp() {
		parent::scaffold();

		// Setup data
		$_SERVER['SERVER_NAME'] = 'http://www.owncloud.dev';
		$criteria = ['request' => '/index.php/apps/files'];

		$this->rule = new RequestUrl($this->ruler, $criteria);

	}

	public function testDoCheck() {
		$this->ruleMock->value = 'http://www.owncloud.dev/index.php/apps/files';

		$this->assertTrue($this->rule->doCheck($this->ruleMock));
	}

}
