<?php
/**
 * @author Clark Tomlinson  <clark@owncloud.com>
 * @since 2/2/15, 2:48 PM
 * @copyright 2015 ownCloud, Inc.
 *
 * This file is licensed under the Affero General Public License version 3 or later.
 * See the COPYING-README file.
 */

namespace OCA\Firewall\Tests\Rules;


use OCA\Firewall\Rules\Subnet;
use OCA\Firewall\Tests\Helpers\RuleTester;

class SubnetTest extends RuleTester {

	public function setUp() {
		parent::scaffold();
		// Setup data
		$_SERVER['SERVER_ADDR'] = '192.168.1.0';

		// Scaffold and create mocks
		$this->rule = new Subnet($this->ruler, []);
	}

	public function testDoCheck() {

		$this->ruleMock->value = '192.168.1.0/24';


		$this->assertTrue($this->rule->doCheck($this->ruleMock));
	}


}
