<?php
/**
 * @author Clark Tomlinson  <clark@owncloud.com>
 * @since 2/2/15, 2:48 PM
 * @copyright 2015 ownCloud, Inc.
 *
 * This file is licensed under the Affero General Public License version 3 or later.
 * See the COPYING-README file.
 */

namespace OCA\Firewall\Tests\Rules;


use OCA\Firewall\Rules\Time;
use OCA\Firewall\Tests\Helpers\RuleTester;

class TimeTest extends RuleTester {
	public function setUp() {
		parent::scaffold();

		// Setup data
		$criteria = ['time' => '1422995400'];

		$this->rule = new Time($this->ruler, $criteria);

	}

	public function testDoCheckWithEqualOperator() {

		$this->ruleMock->value = '03:30 pm -0500';


		$this->assertTrue($this->rule->doCheck($this->ruleMock));
	}

	public function testDoCheckWithBetweenOperator() {

		$this->ruleMock->value = ['03:20 pm -0500', '04:30 pm -0500'];
		$this->ruleMock->operator = 'between';

		$this->assertTrue($this->rule->doCheck($this->ruleMock));
	}

}
