<?php
/**
 * @author Clark Tomlinson  <clark@owncloud.com>
 * @since 2/2/15, 2:48 PM
 * @copyright 2015 ownCloud, Inc.
 *
 * This file is licensed under the Affero General Public License version 3 or later.
 * See the COPYING-README file.
 */

namespace OCA\Firewall\Tests\Rules;


use OCA\Firewall\Rules\TypeUp;
use OCA\Firewall\Tests\Helpers\RuleTester;

class TypeUpTest extends RuleTester {

	public function setUp() {
		parent::scaffold();
		// Setup data

		$_FILES['files']['type'][0] = 'text/json';

		// Scaffold and create mocks
		$this->rule = new TypeUp($this->ruler, []);
	}

	public function testDoCheck() {

		$this->ruleMock->value = 'text/json';


		$this->assertTrue($this->rule->doCheck($this->ruleMock));
	}

	public function testDoCheckWithNonEqualOperator() {

		$this->ruleMock->value = 'text/json';
		$this->ruleMock->operator = '!=';

		$this->assertFalse($this->rule->doCheck($this->ruleMock));
	}


}
