<?php
/**
 * @author Clark Tomlinson  <clark@owncloud.com>
 * @since 2/2/15, 2:48 PM
 * @copyright 2015 ownCloud, Inc.
 *
 * This file is licensed under the Affero General Public License version 3 or later.
 * See the COPYING-README file.
 */

namespace OCA\Firewall\Tests\Rules;


use OCA\Firewall\Rules\UserAgent;
use OCA\Firewall\Tests\Helpers\RuleTester;

class UserAgentTest extends RuleTester {
	public function setUp() {
		parent::scaffold();

		// Setup data
		$criteria = ['user-agent' => 'Mozilla/5.0 (Macintosh; Intel Mac OS X 10.10; rv:37.0) Gecko/20100101 Firefox/37.0'];

		$this->rule = new UserAgent($this->ruler, $criteria);

	}

	public function testDoCheck() {

		$this->ruleMock->value = 'Mozilla/5.0 (Macintosh; Intel Mac OS X 10.10; rv:37.0) Gecko/20100101 Firefox/37.0';


		$this->assertTrue($this->rule->doCheck($this->ruleMock));
	}

}
