<?php
/**
 * @author Clark Tomlinson  <clark@owncloud.com>
 * @since 2/2/15, 2:48 PM
 * @copyright 2015 ownCloud, Inc.
 *
 * This file is licensed under the Affero General Public License version 3 or later.
 * See the COPYING-README file.
 */

namespace OCA\Firewall\Tests\Rules;


use OCA\Firewall\Rules\UserGroup;
use OCA\Firewall\Tests\Helpers\RuleTester;

class UserGroupTest extends RuleTester {
	public function setUp() {
		parent::scaffold();

		// Setup data
		$criteria = ['groups' => ['admin', 'foo', 'bar', 'baz']];

		$this->rule = new UserGroup($this->ruler, $criteria);

	}

	public function testDoCheck() {

		$this->ruleMock->value = 'admin';


		$this->assertTrue($this->rule->doCheck($this->ruleMock));
	}

	public function testDoCheckWithNotInOperator() {

		$this->ruleMock->value = 'admins';
		$this->ruleMock->operator = '!=';

		$this->assertTrue($this->rule->doCheck($this->ruleMock));
	}

}
