<?php
/**
 * ownCloud
 *
 * @author Jesus Macias Portela <jesus@owncloud.com>
 * @author Juan Pablo Villafañez Ramos <jvillafanez@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

// check if license app is enabled
if(!OCP\App::isEnabled('enterprise_key') && !getenv('TRAVIS')) {
    // enable accidently disabled license app. Can happen during upgrade.
    OCP\Util::writeLog('sharepoint','Enabling Enterprise license app which was deactivated.', \OCP\Util::ERROR);
    OC_App::enable('enterprise_key');
} else {
    if (!class_exists('SoapClient') || !function_exists('curl_version')) {
        OCP\App::registerAdmin('sharepoint', 'badSettings');
        return;
    }
    $l = OC_L10N::get('sharepoint');
    OCP\App::checkAppEnabled('sharepoint');
    OCP\App::registerAdmin('sharepoint', 'settings');
    OCP\App::registerPersonal('sharepoint', 'personal');
    // filesystem
    OCP\Util::connectHook('OC_Filesystem', 'post_initMountPoints', '\OCA\sharepoint\lib\UserHooks', 'mount_storage');

    //Scripts
    \OCP\Util::addScript('sharepoint', 'app');
    \OCP\Util::addScript('sharepoint', 'sharepointUtils');
    \OCP\Util::addScript('sharepoint', 'rollingQueue');
    \OCP\Util::addScript('sharepoint', 'connectivity_check');

    \OCA\Files\App::getNavigationManager()->add(
        array(
            "id" => 'spmounts',
            "icon" => 'extstoragemounts',
            "appname" => 'sharepoint',
            "script" => 'list.php',
            "order" => 50,
            "name" => $l->t('SharePoint')
        )
    );
}
