<?php
/**
 * ownCloud
 *
 * @author Jesus Macias Portela <jesus@owncloud.com>
 * @author Juan Pablo Villafañez Ramos <jvillafanez@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */


use \OCA\sharepoint\lib\ConfigMgmt;

OCP\JSON::checkAppEnabled('sharepoint');
OCP\User::checkLoggedIn();

$adminMounts = array();
$personalMounts = array();

$user = \OCP\User::getUser();
$mountList = ConfigMgmt::get_mounts_for_user($user, \OC_Group::getUserGroups($user));
if ($mountList !== false) {
    while(($row = $mountList->fetchRow()) !== false) {
        $adminMounts[] = $row;
    }
}

$personal_enabled = \OCP\Config::getAppValue('sharepoint', 'allow_personal_mounts', false);
if ($personal_enabled) {
    $personalMountList = ConfigMgmt::get_personal_mounts_per_user($user);
    if ($personalMountList !== false) {
        while(($row = $personalMountList->fetchRow()) !== false) {
            $personalMounts[] = $row;
        }
    }
}

$tmpl = new OCP\Template('sharepoint', 'personal_settings');
$tmpl->assign('isAdminPage', false);
$tmpl->assign('user', $user);
$tmpl->assign('globalMounts', $adminMounts);
$tmpl->assign('personalMounts', $personalMounts);
$tmpl->assign('personal_mounts_enabled', OCP\Config::getAppValue('sharepoint', 'allow_personal_mounts', false));

$credentials = ConfigMgmt::get_password_for_user(OC_User::getUser());
$user = '';
$pass = '';
if($credentials !== false){
    $user = $credentials[0];
    $pass = '';
    if($credentials[1] !== ''){
        $pass = '******';
    }
}
$tmpl->assign('credentials', array($user, $pass));
return $tmpl->fetchPage();
