<?php
/**
 * ownCloud
 *
 * @author Jesus Macias Portela <jesus@owncloud.com>
 * @author Juan Pablo Villafañez Ramos <jvillafanez@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */


use \OCA\sharepoint\lib\ConfigMgmt;
use OCA\sharepoint\lib\Utils;

OCP\JSON::checkAppEnabled('sharepoint');
OCP\User::checkAdminUser();

$tmpl = new OCP\Template('sharepoint', 'settings');
$tmpl->assign('isAdminPage', true);
$tmpl->assign('globalMounts', ConfigMgmt::get_global_mounts());
$tmpl->assign('SPglobalSharingActive', \OCP\Config::getAppValue('sharepoint', 'global_sharing', false));
$tmpl->assign('personalActive', \OCP\Config::getAppValue('sharepoint', 'allow_personal_mounts', false));
$tmpl->assign('IEversion', Utils::checkIE());

$cred = ConfigMgmt::getAdminGlobalCredentialsCached();
$pass = '';

if($cred !== false){
    if(ConfigMgmt::decryptPassword($cred['password']) !== ''){
        $pass = '******';
    }
}

$tmpl->assign('credentials', array('user'=>$cred['user'], 'password' => $pass));
return $tmpl->fetchPage();
