<?php
/**
 * ownCloud
 *
 * @author Jesus Macias Portela <jesus@owncloud.com>
 * @author Juan Pablo Villafañez Ramos <jvillafanez@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

// in case there are private configurations in the users home -> use them
$privateConfigFile = $_SERVER['HOME'] . '/oc-sharepoint-test-config.php';
if (file_exists($privateConfigFile)) {
    $config = include($privateConfigFile);
    return $config;
}
else {
    $config = array(
        'global'=>array(
            'testUser'=>'unittest',
            'testGroup'=>'testers',
            'testUserPassword'=>'unittest'
        ),
        'configMgmt'=>array(
            'siteURL'=>'http://sharepoint-2010',
            'listName'=>'test-1',
            'globalMountPoint'=>'testGlobal-1',
            'userMountPoint'=>'testPersonal-1',
            'applicables'=>array('global' => 'global',
                            'group' => array('testers'),
                            'user' => array('unittest'))
        ),
        'sharepoint2007'=>array(
            'siteURL'=>'http://sharepoint-2007',
            'documentList'=>'test',
            'user'=>'test',
            'password'=>'test',
            'mountPoint'=>'unittest2007'
        ),
        'sharepoint2010'=>array('site' =>array(
                                                                    'siteURL'=>'http://sharepoint-2010',
                                                                    'documentList'=>'test',
                                                                    'user'=>'test',
                                                                    'password'=>'test',
                                                                    'mountPoint'=>'unittest2010'),
                                             'subsite' =>array(
                                                                    'siteURL'=>'http://sharepoint-2010/secondary',
                                                                    'documentList'=>'test',
                                                                    'user'=>'test',
                                                                    'password'=>'test',
                                                                    'mountPoint'=>'unittest2010'),
                                             'specialchar_site' =>array(
                                                                    'siteURL'=>'http://sharepoint-2010',
                                                                    'documentList'=>'test\'test',
                                                                    'user'=>'test',
                                                                    'password'=>'test',
                                                                    'mountPoint'=>'unittest2010'),
                                             'specialchar_subsite' =>array(
                                                                    'siteURL'=>'http://sharepoint-2010/secondary',
                                                                    'documentList'=>'test\'test',
                                                                    'user'=>'test',
                                                                    'password'=>'test',
                                                                    'mountPoint'=>'unittest2010'),
        ),
        'sharepoint2013'=>array(
            'siteURL'=>'http://sharepoint-2013',
            'documentList'=>'test',
            'user'=>'test',
            'password'=>'test',
            'mountPoint'=>'unittest2013'
        )
    );

    // Encrypt keys with travis http://docs.travis-ci.com/user/encryption-keys/
    // Check env variables to read credentials from Travis config file
    if(getenv('SP07HOST') !== false) $config['sharepoint2007']['siteURL'] = getenv('SP07HOST');
    if(getenv('SP07USER') !== false) $config['sharepoint2007']['user'] = getenv('SP07USER');
    if(getenv('SP07PASS') !== false) $config['sharepoint2007']['password'] = getenv('SP07PASS');

    if(getenv('SP10HOST') !== false) $config['sharepoint2010']['site']['siteURL'] = getenv('SP10HOST');
    if(getenv('SP10USER') !== false) $config['sharepoint2010']['site']['user'] = getenv('SP10USER');
    if(getenv('SP10PASS') !== false) $config['sharepoint2010']['site']['password'] = getenv('SP10PASS');

    if(getenv('SP10HOST') !== false) $config['sharepoint2010']['subsite']['siteURL'] = getenv('SP10HOST').'/secondary';
    if(getenv('SP10USER') !== false) $config['sharepoint2010']['subsite']['user'] = getenv('SP10USER');
    if(getenv('SP10PASS') !== false) $config['sharepoint2010']['subsite']['password'] = getenv('SP10PASS');

    if(getenv('SP10HOST') !== false) $config['sharepoint2010']['specialchar_site']['siteURL'] = getenv('SP10HOST');
    if(getenv('SP10USER') !== false) $config['sharepoint2010']['specialchar_site']['user'] = getenv('SP10USER');
    if(getenv('SP10PASS') !== false) $config['sharepoint2010']['specialchar_site']['password'] = getenv('SP10PASS');

    if(getenv('SP10HOST') !== false) $config['sharepoint2010']['specialchar_subsite']['siteURL'] = getenv('SP10HOST').'/secondary';
    if(getenv('SP10USER') !== false) $config['sharepoint2010']['specialchar_subsite']['user'] = getenv('SP10USER');
    if(getenv('SP10PASS') !== false) $config['sharepoint2010']['specialchar_subsite']['password'] = getenv('SP10PASS');


    if(getenv('SP13HOST') !== false) $config['sharepoint2013']['siteURL'] = getenv('SP13HOST');
    if(getenv('SP13USER') !== false) $config['sharepoint2013']['user'] = getenv('SP13USER');
    if(getenv('SP13PASS') !== false) $config['sharepoint2013']['password'] = getenv('SP13PASS');

    return $config;
}

