<?php
/**
 * ownCloud
 *
 * @author Thomas Müller <deepdiver@owncloud.com>
 * @author Frank Karlitscheck <frank@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

// check if license app is enabled
if(!OCP\App::isEnabled('enterprise_key')) {

	// enable accidentally disabled license app. Can happen during upgrade.
	OCP\Util::writeLog('user_shibboleth','Enabling Enterprise license app which was deactivated.', \OCP\Util::ERROR);
	OC_App::enable('enterprise_key');

} else {

	OC_APP::registerAdmin('user_shibboleth', 'settings');
	$app = new \OCA\user_shibboleth\USER_SHIBBOLETH();
	if (!is_null($app->getCurrentUserId())) {
		OC_Util::addScript("user_shibboleth", "shibboleth");
		OC_APP::registerPersonal('user_shibboleth', 'pass_gen');
	}

	$userBackend = new OCA\user_shibboleth\USER_SHIBBOLETH();
	OC_User::useBackend( $userBackend );

	if (!is_null(\OC::$server->getUserSession()->getUser())) {
		if (!\OC::$server->getSession()->exists('timezone')) {
			\OCP\Util::addscript('user_shibboleth', 'timezone');
		}

		\OCP\Util::connectHook('OC_Filesystem', 'setup', 'OCA\user_shibboleth\USER_SHIBBOLETH', 'setupFS');

	}
}
