<?php
/**
 * ownCloud
 *
 * @author Thomas Müller <deepdiver@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

use OCP\AppFramework\App;

$application = new App('user_shibboleth');
$application->registerRoutes(
	$this,
	[
		'routes' => [
			[
				'name' => 'Password#getNewPassword',
				'url' => '/get_new_password',
				'verb' => 'GET',
			],
			[
				'name' => 'Password#revokePassword',
				'url' => '/revoke_password',
				'verb' => 'POST',
			],
		],
	]
);

/** @var $this OCP\Route\IRouter */
$this->create('shibboleth_set_timezone', 'timezone')
	->method('POST')
	->action('OCA\user_shibboleth\USER_SHIBBOLETH', 'setTimezone');

OCP\API::register(
	'delete',
	'/cloud/users/{userid}/non_shib_password',
	array('OCA\user_shibboleth\Provisioning', 'deleteCredential'),
	'user_shibboleth',
	OC_API::ADMIN_AUTH
);
