/**
 * ownCloud
 *
 * @author Thomas Müller <deepdiver@owncloud.com>
 * @author Krzesimir Nowak
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */
function shibGetPasswordSuccess(data) {
	var htmlText = '';


	for (var i = 0; i < data.length; ++i) {
		htmlText += '<span>' + data[i] + '</span>';
	}

	$('#webdav_password_div').html(htmlText);
	$('#revoke_password_div').slideDown();
}

function shibGeneratePassword() {
	$.get(
		OC.generateUrl('apps/user_shibboleth/get_new_password'),
		'',
		shibGetPasswordSuccess,
		'json'
	);
}

function shibRevokePasswordSuccess() {
	$('#webdav_password_div').html('');
	$('#revoke_password_div').slideUp();
}

function shibRevokePassword() {
	$.post(
		OC.generateUrl('apps/user_shibboleth/revoke_password'),
		'',
		shibRevokePasswordSuccess,
		'json'
	);
}

document.addEventListener('DOMContentLoaded', function () {
	document.getElementById('generate_password_button').addEventListener('click', shibGeneratePassword);
	document.getElementById('revoke_password_button').addEventListener('click', shibRevokePassword);
});

$(document).ready(function () {
	$('fieldset.personalblock').find('h2').filter(":contains('WebDAV')").parent().hide();
});
