<?php
/**
 * ownCloud
 *
 * @author Krzesimir Nowak
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

\OCP\Util::addScript('user_shibboleth', 'pass_gen');
\OCP\Util::addStyle('user_shibboleth', 'pass_gen');

$uid = \OCP\USER::getUser();

if($_POST) {
	// CSRF check
	OCP\JSON::callCheck();

	if(isset($_POST['nonshib_webdav_password'])) {
		\OCA\user_shibboleth\USER_SHIBBOLETH::setWebDAVPassword($uid, $_POST['nonshib_webdav_password']);
	} else if(isset($_POST['nonshib_webdav_revoke_password_field'])) {
		\OCA\user_shibboleth\USER_SHIBBOLETH::clearWebDAVPassword($uid);
	}
}

\OCP\Util::addStyle('user_shibboleth', 'shibboleth');

$backend = new \OCA\user_shibboleth\USER_SHIBBOLETH();
$passwordSetup = $backend->getWebDAVPasswordConfiguration();

// fill template
$template = new \OCP\Template('user_shibboleth', 'pass_gen');
$template->assign('shibboleth_username', $uid);
$template->assign('has_nonshib_webdav_password', \OCA\user_shibboleth\USER_SHIBBOLETH::checkIfUserHasWebDAVPassword($uid));
$template->assign('password_length', $passwordSetup[0]);
$template->assign('group_length', $passwordSetup[1]);

return $template->fetchPage();
