<?php
/**
 * ownCloud
 *
 * @author Thomas Müller <deepdiver@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

OC_Util::checkAdminUser();

if($_POST) {
	// CSRF check
	OCP\JSON::callCheck();

	if(isset($_POST['shibboleth_active'])) {
		\OC_Appconfig::setvalue('user_shibboleth', 'shibboleth_active', strip_tags($_POST['shibboleth_active']));
	}
}

\OC_Util::addStyle('user_shibboleth', 'shibboleth');

// fill template
$tmpl = new OC_Template( 'user_shibboleth', 'settings');
$tmpl->assign( 'shibboleth_active', \OC_Appconfig::getValue("user_shibboleth", "shibboleth_active" ));
$tmpl->assign( 'env', $_SERVER);

return $tmpl->fetchPage();
