<?php
/**
 * ownCloud
 *
 * @author Thomas Müller <deepdiver@owncloud.com>
 * @author Krzesimir Nowak
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

/** @var $l OC_L10N */
/** @var $_ array */
?>
<div class="section">
	<h2><?php p($l->t('WebDAV'));?></h2>
	<p><?php p($l->t('To access your files through WebDAV, please use the following URL:'));?></p>
	<p><code><?php p(OC_Helper::linkToRemote('nonshib-webdav'))?></code></p>
	<br>
	<h3><?php p($l->t('Credentials'));?></h3>
	<br>
	<p><?php p($l->t('For WebDAV, you must use separate credentials. Please use the following:'));?></p>
	<br>
	<table>

	<tr>
		<td><span class="inlineblock user-info-label"><?php p($l->t('Username:'));?></span></td>
		<td><div class="inlineblock user-info-data"><code><?php p($_['shibboleth_username']);?></code></div></td>
	</tr>
	<tr>
		<td><span class="inlineblock user-info-label"><?php p($l->t('Password:'));?></span></td>
		<td><div class="inlineblock grouping user-info-data" id="webdav_password_div"><code>
			<?php
			if($_['has_nonshib_webdav_password']) {
				$p_len = $_['password_length'];
				$g_len = $_['group_length'];
				for($i = 0; $i < (int)(($p_len + $g_len - 1)/$g_len); ++$i) {
			?>
					<span><?php p(str_repeat("*", $g_len));?></span>
			<?php
				}
			}
			?>
		</code>
		</div>
		</td>
	</tr>
	</table>
	<br>
	<div>
		<button id="generate_password_button" type="button"><?php p($l->t('Generate password'));?></button>
		<span><b><?php p($l->t('Note:'));?></b> <?php p($l->t('after generating, the password is visible only once!'));?></span>
	</div>

	<div id="revoke_password_div" <?php if(!$_['has_nonshib_webdav_password']) { ?>class="shibhidden" <?php } ?> >
		<button id="revoke_password_button" type="button"><?php p($l->t('Revoke credentials'));?></button>
		<span><b><?php p($l->t('Note:'));?></b> <?php p($l->t('after revoking, accessing your files through WebDav is no longer possible (until you generate new credentials again).'));?></span>
		<p>
			<br>
			<?php p($l->t('Forgot your password? Generate a new one. There is no way to retrieve the current password.'));?>
		</p>
	</div>
</div>
