<?php
/**
 * ownCloud
 *
 * @author Björn Schießle <schiessle@owncloud.com>
 * @author Jan-Christoph Borchardt <jan@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

class OC_Theme {

	private $enterpriseEntity;
	private $enterpriseName;
	private $enterpriseTitle;
	private $enterpriseBaseUrl;
	private $enterpriseDocBaseUrl;
	private $enterpiseSyncClientUrl;
	private $enterpriseSlogan;
	private $enterpriseLogoClaim;
	private $enterpriseMailHeaderColor;

	function __construct() {
		$this->enterpriseEntity = "ownCloud Inc.";
		$this->enterpriseName = "ownCloud";
		$this->enterpriseHTMLName = "own<span class='header-appname-logo'>Cloud</span>";
		$this->enterpriseTitle = "ownCloud Enterprise Edition";
		$this->enterpriseBaseUrl = "https://owncloud.com";
		$this->enterpriseDocBaseUrl = "http://doc.owncloud.com";
		$this->enterpiseSyncClientUrl = "https://owncloud.com/products/desktop-clients";
		$this->enterpriseSlogan = "Your Cloud, Your Data, Your Way!";
		$this->enterpriseLogoClaim = "Enterprise Edition";
		$this->enterpriseMailHeaderColor = "#fff";
	}

	public function getBaseUrl() {
		return $this->enterpriseBaseUrl;
	}

	public function getSyncClientUrl() {
		return $this->enterpiseSyncClientUrl;
	}

	public function getDocBaseUrl() {
		return $this->enterpriseDocBaseUrl;
	}

	public function getTitle() {
		return $this->enterpriseTitle;
	}
	
	public function getName() {
		return $this->enterpriseName;
	}

	public function getHTMLName() {
		return $this->enterpriseHTMLName;
	}

	public function getEntity() {
		return $this->enterpriseEntity;
	}

	public function getSlogan() {
		return $this->enterpriseSlogan;
	}

	public function getLogoClaim() {
		return $this->enterpriseLogoClaim;
	}

	public function getShortFooter() {
		$footer = "© 2015 <a href=\"".$this->getBaseUrl()."\" target=\"_blank\">".$this->getEntity()."</a>".
			" – " . $this->getSlogan();

		return $footer;
	}

	public function getLongFooter() {
		$footer = "© 2015 <a href=\"".$this->getBaseUrl()."\" target=\"_blank\">".$this->getEntity()."</a>".
			"<br/>" . $this->getSlogan();

		return $footer;
	}

	public function buildDocLinkToKey($key) {
		return $this->getDocBaseUrl() . '/server/8.1/go.php?to=' . $key;
	}

	public function getMailHeaderColor() {
		return $this->enterpriseMailHeaderColor;
	}

}

